package main

import (
	"os"

	"go.wit.com/lib/protobuf/gitpb"
	"go.wit.com/log"
)

func okExit(thing string) {
	if thing != "" {
		log.Info("forge exit:", thing, "ok")
	}
	if configSave {
		me.forge.SetConfigSave(configSave)
	}
	// log.Info("Finished go-clean on", check.GetGoPath(), "ok")
	me.forge.Exit()
}

func badExit(err error) {
	log.Info("forge failed: ", err, me.forge.GetGoSrc())
	os.Exit(-1)
}

func badRepoExit(repo *gitpb.Repo, err error) {
	log.Printf("forge failed on %s with %v\n", repo.GetGoPath(), err)
	os.Exit(-1)
}
